[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# THelpBaseURLObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Stores the base URL for topics in help databases.

## Declaration

Source position: lazhelpintf.pas line 561

`type THelpBaseURLObject = class(TPersistent)`
`protected`
`procedure SetBaseURL();` |  | Sets the value in the BaseURL property.
`public`
`constructor Create();` |  | Constructor for the class instance.
`property BaseURL: string; [rw]` |  | Represents the base URL for topics in a help database.
`end;`

## Inheritance

`THelpBaseURLObject` |  | Stores the base URL for topics in help databases.
`TPersistent`
?
`TObject`